Get All License Keys

Added in v1.0
GET https://api.example.com/api/keys
Requires authentication: x-api-key: YOUR_API_KEY

Returns an array of all license keys in the database.

Responses

  • 200Success
Request
curl -X GET 'https://api.example.com/api/keys' \
  -H 'x-api-key: YOUR_API_KEY'
Response
Success
[
  {
    "id": 1,
    "uuid": "123",
    "product": 1,
    "key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
    "ip": "1.1.1.1",
    "status": true,
    "disabled": false,
    "locked": true,
    "lastSeen": 1790000000000
  }
]